Bug 830142 - Remove guice from Seam2.3 ioc
Remove guice from Seam2.3 ioc
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
Unspecified Unspecified
medium Severity low
: ---
: 2.0.0.ER8
Assigned To: Marek Novotny
Marek Schmidt
Depends On:
  Show dependency treegraph
Reported: 2012-06-08 07:11 EDT by Marek Schmidt
Modified: 2012-06-19 04:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-19 04:18:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-06-08 07:11:29 EDT
Description of problem:

Guice integration was not distributed in Seam2.2.5.EAP5, so I assume we don't want to support it in WFK2.0/Seam2.3 either.

The following should be removed if we don't want Guice:
1. guice example
2. org.jboss.seam.ioc.guice module in jboss-seam-ioc
Comment 1 Marek Schmidt 2012-06-13 03:53:41 EDT
jboss-seam-ioc.jar still contains one forgotten xsd file, org/jboss/seam/ioc/guice/guice-2.3.xsd

Note You need to log in before you can comment on or make changes to this bug.